import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Editor } from '@tiptap/core';
import { BubbleMenuPluginProps } from '@tiptap/extension-bubble-menu';
import * as i0 from "@angular/core";
export declare class BubbleMenuDirective implements OnInit, OnDestroy {
    private _el;
    pluginKey: BubbleMenuPluginProps['pluginKey'];
    editor: Editor;
    tippyOptions: BubbleMenuPluginProps['tippyOptions'];
    shouldShow: BubbleMenuPluginProps['shouldShow'];
    constructor(_el: ElementRef<HTMLElement>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BubbleMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BubbleMenuDirective, "tiptap-bubble-menu[editor], [tiptapBubbleMenu][editor]", never, { "pluginKey": "pluginKey"; "editor": "editor"; "tippyOptions": "tippyOptions"; "shouldShow": "shouldShow"; }, {}, never>;
}
